<script>
  export let closeFn
</script>

<div
  class="modal overflow-auto p-2 flex text-gray-900 dark:text-gray-300"
  on:click={closeFn}
>
  <div
    class="relative bg-white dark:bg-gray-900 w-full max-w-xs m-auto flex-col
    flex rounded-xl overflow-hidden"
  >
    <slot />
  </div>
</div>
